List Personal Access Tokens
curl --request GET \
--url https://api.lendflow.com/api/access_tokens \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"status": "active"
}
'import requests
url = "https://api.lendflow.com/api/access_tokens"
payload = { "status": "active" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({status: 'active'})
};
fetch('https://api.lendflow.com/api/access_tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": null,
"name": "Morgan Hirthe",
"description": "Qui commodi incidunt iure odit.",
"abilities": "ai-agent-session:view",
"last_used_at": null,
"revoked_at": null,
"expires_at": null,
"created_at": null,
"status": "active"
},
{
"id": null,
"name": "Josephine Dare",
"description": "Tenetur ab reiciendis quia perspiciatis.",
"abilities": "ai-agent-session:view",
"last_used_at": null,
"revoked_at": null,
"expires_at": null,
"created_at": null,
"status": "active"
}
]
}Access Tokens
List Personal Access Tokens
Returns a paginated list of personal access tokens including active, revoked, and expired tokens. Supports filtering by token status.
GET
/
api
/
access_tokens
List Personal Access Tokens
Authorizations
You can register for a new Lendflow API key on our client portal in less than 60 seconds. The Bearer Token needs to be included in all API requests made to the API Service in the following form:
Authorization: Bearer [YOUR_TOKEN]
You must replace [YOUR_TOKEN] with your personal API key.
Body
application/json
Filter by access token status. Must be one of: active, expired, revoked.
Available options:
active, expired, revoked Example:
"active"
Response
200 - application/json
Show child attributes
Show child attributes
Example:
[
{
"id": null,
"name": "Morgan Hirthe",
"description": "Qui commodi incidunt iure odit.",
"abilities": "ai-agent-session:view",
"last_used_at": null,
"revoked_at": null,
"expires_at": null,
"created_at": null,
"status": "active"
},
{
"id": null,
"name": "Josephine Dare",
"description": "Tenetur ab reiciendis quia perspiciatis.",
"abilities": "ai-agent-session:view",
"last_used_at": null,
"revoked_at": null,
"expires_at": null,
"created_at": null,
"status": "active"
}
]
Was this page helpful?